/* See LICENSE file for copyright and license details. */
/* Default settings; can be overriden by command line. */

static int topbar = 1;                      /* -b  option; if 0, dmenu appears at bottom     */
static const unsigned int alpha = 0xe3;     /* Amount of opacity. 0xff is opaque             */
static int centered = 1;                    /* -c option; centers dmenu on screen */
static int min_width = 1000;                    /* minimum width when centered */

/* -fn option overrides fonts[0]; default X11 font or font set */
static const char *fonts[] = {
	"monospace:size=17",
    "Noto Color Emoji:size=17"
};
static const char *prompt      = NULL;      /* -p  option; prompt to the left of input field */
static const char *colors[SchemeLast][2] = {
	/*                     fg         bg       */
	[SchemeNorm] =      { "#dddddd", "#111111" },
	[SchemeSel] =       { "#ffffff", "#ff0000" },
	[SchemeOut] =       { "#000000", "#bc3d2f" },
	[SchemeCaret] =     { "#fe5e5e", "#222222" },
	[SchemeBorder] =    { "#dc0000", NULL },
};

/* -l and -g options; controls number of lines and columns in grid if > 0 */
static unsigned int lines      = 9;
static unsigned int columns    = 2;

static const unsigned int alphas[SchemeLast][2] = {
	[SchemeNorm] = { OPAQUE, alpha },
	[SchemeSel] = { OPAQUE, alpha },
	[SchemeOut] = { OPAQUE, alpha },
    [SchemeCaret] = { OPAQUE, OPAQUE },
    [SchemeBorder] = { 0xf2, 0xf2 },
};

/*
 * Characters not considered part of a word while deleting words
 * for example: " /?\"&[]"
 */
static const char worddelimiters[] = " ";

/* Size of the window border */
static unsigned int border_width = 3;

